- Qt 5.15
- Qt Quick Controls 1
- QML Types
- BusyIndicator QML Type
- Qt 5.15.18 Reference Documentation

# BusyIndicator QML Type

A busy indicator. More...

Import Statement: | import QtQuick.Controls 1.4
Since: | Qt 5.2
Inherits: | FocusScope

- List of all members, including inherited members

## Properties

- running : bool

## Detailed Description

The busy indicator should be used to indicate activity while content is being loaded or the UI is blocked waiting for a resource to become available.

The following snippet shows how to use the BusyIndicator:

     BusyIndicator {
         running: image.status === Image.Loading
     }

You can create a custom appearance for a Busy Indicator by assigning a BusyIndicatorStyle.

## Property Documentation

running : bool

This property holds whether the busy indicator is currently indicating activity.

Note: The indicator is only visible when this property is set to `true`.

The default value is `true`.